#!/usr/bin/env python




##################################################
## DEPENDENCIES
import sys
import os
import os.path
try:
    import builtins as builtin
except ImportError:
    import __builtin__ as builtin
from os.path import getmtime, exists
import time
import types
from Cheetah.Version import MinCompatibleVersion as RequiredCheetahVersion
from Cheetah.Version import MinCompatibleVersionTuple as RequiredCheetahVersionTuple
from Cheetah.Template import Template
from Cheetah.DummyTransaction import *
from Cheetah.NameMapper import NotFound, valueForName, valueFromSearchList, valueFromFrameOrSearchList
from Cheetah.CacheRegion import CacheRegion
import Cheetah.Filters as Filters
import Cheetah.ErrorCatchers as ErrorCatchers
from prewikka.templates.ClassicLayout import ClassicLayout
from prewikka import siteconfig

##################################################
## MODULE CONSTANTS
VFFSL=valueFromFrameOrSearchList
VFSL=valueFromSearchList
VFN=valueForName
currentTime=time.time
__CHEETAH_version__ = '2.4.4'
__CHEETAH_versionTuple__ = (2, 4, 4, 'development', 0)
__CHEETAH_genTime__ = 1380114818.862434
__CHEETAH_genTimestamp__ = 'Wed Sep 25 13:13:38 2013'
__CHEETAH_src__ = 'prewikka/templates/About.tmpl'
__CHEETAH_srcLastModified__ = 'Wed Jun 13 13:16:40 2012'
__CHEETAH_docstring__ = 'Autogenerated by Cheetah: The Python-Powered Template Engine'

if __CHEETAH_versionTuple__ < RequiredCheetahVersionTuple:
    raise AssertionError(
      'This template was compiled with Cheetah version'
      ' %s. Templates compiled before version %s must be recompiled.'%(
         __CHEETAH_version__, RequiredCheetahVersion))

##################################################
## CLASSES

class About(ClassicLayout):

    ##################################################
    ## CHEETAH GENERATED METHODS


    def __init__(self, *args, **KWs):

        super(About, self).__init__(*args, **KWs)
        if not self._CHEETAH__instanceInitialized:
            cheetahKWArgs = {}
            allowedKWs = 'searchList namespaces filter filtersLib errorCatcher'.split()
            for k,v in KWs.items():
                if k in allowedKWs: cheetahKWArgs[k] = v
            self._initCheetahInstance(**cheetahKWArgs)
        

    def main_content(self, **KWS):



        ## CHEETAH: generated from #block main_content at line 4, col 1.
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        _orig_filter_27764369 = _filter
        filterName = u'CleanOutput'
        if self._CHEETAH__filters.has_key("CleanOutput"):
            _filter = self._CHEETAH__currentFilter = self._CHEETAH__filters[filterName]
        else:
            _filter = self._CHEETAH__currentFilter = \
			self._CHEETAH__filters[filterName] = getattr(self._CHEETAH__filtersLib, filterName)(self).filter
        write(u'''
<div id="about">
<h1>Prewikka ''')
        _v = VFFSL(SL,"siteconfig.version",True) # u'$siteconfig.version' on line 8, col 14
        if _v is not None: write(_filter(_v, rawExpr=u'$siteconfig.version')) # from line 8, col 14.
        write(u'''</h1>
<div id="about_intro"><a href="http://www.prelude-ids.com">Communication & Syst&egrave;mes</a> ''')
        if False:
            _("about_intro")
        _v = VFFSL(SL,"_",False)("about_intro") # u'$_("about_intro")' on line 9, col 96
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_intro")')) # from line 9, col 96.
        write(u'''</div>
<img style="margin-left: 10px; margin-top: -10px; padding: 0; float: right;" src="prewikka/images/prelude-logo.gif" alt="Prelude-IDS logo" />

<h2>''')
        if False:
            _("Customizing Prelude")
        _v = VFFSL(SL,"_",False)("Customizing Prelude") # u'$_("Customizing Prelude")' on line 12, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Customizing Prelude")')) # from line 12, col 5.
        write(u'''</h2>
<p>''')
        if False:
            _("about_customizing")
        _v = VFFSL(SL,"_",False)("about_customizing") # u'$_("about_customizing")' on line 13, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_customizing")')) # from line 13, col 4.
        write(u'''</p>

<h2>''')
        if False:
            _("Software Maintenance and Technical Support")
        _v = VFFSL(SL,"_",False)("Software Maintenance and Technical Support") # u'$_("Software Maintenance and Technical Support")' on line 15, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Software Maintenance and Technical Support")')) # from line 15, col 5.
        write(u'''</h2>
<p>''')
        if False:
            _("about_support")
        _v = VFFSL(SL,"_",False)("about_support") # u'$_("about_support")' on line 16, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_support")')) # from line 16, col 4.
        write(u'''</p>

<h2>''')
        if False:
            _("Commercial licenses")
        _v = VFFSL(SL,"_",False)("Commercial licenses") # u'$_("Commercial licenses")' on line 18, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Commercial licenses")')) # from line 18, col 5.
        write(u'''</h2>
<p>''')
        if False:
            _("about_licence1")
        _v = VFFSL(SL,"_",False)("about_licence1") # u'$_("about_licence1")' on line 19, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_licence1")')) # from line 19, col 4.
        write(u''' <a href="http://www.gnu.org/licenses/gpl.txt">General Public License</a>. ''')
        if False:
            _("about_licence2")
        _v = VFFSL(SL,"_",False)("about_licence2") # u'$_("about_licence2")' on line 19, col 99
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_licence2")')) # from line 19, col 99.
        write(u'''</p>

<h2>''')
        if False:
            _("Advice, Deployment and Training")
        _v = VFFSL(SL,"_",False)("Advice, Deployment and Training") # u'$_("Advice, Deployment and Training")' on line 21, col 5
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Advice, Deployment and Training")')) # from line 21, col 5.
        write(u'''</h2>
<p>''')
        if False:
            _("about_advice")
        _v = VFFSL(SL,"_",False)("about_advice") # u'$_("about_advice")' on line 22, col 4
        if _v is not None: write(_filter(_v, rawExpr=u'$_("about_advice")')) # from line 22, col 4.
        write(u'''</p>

<div id="about_contact">
  <div>
     <b>''')
        if False:
            _("Contact")
        _v = VFFSL(SL,"_",False)("Contact") # u'$_("Contact")' on line 26, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Contact")')) # from line 26, col 9.
        write(u'''</b>
     <p><a href="mailto:contact.prelude@c-s.fr">contact.prelude@c-s.fr</a></p>
     <p><b>''')
        if False:
            _("Phone:")
        _v = VFFSL(SL,"_",False)("Phone:") # u'$_("Phone:")' on line 28, col 12
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Phone:")')) # from line 28, col 12.
        write(u'''</b> +33 1 41 28 40 00</p>
     <p><b>''')
        if False:
            _("Fax:")
        _v = VFFSL(SL,"_",False)("Fax:") # u'$_("Fax:")' on line 29, col 12
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Fax:")')) # from line 29, col 12.
        write(u'''</b> +33 1 41 28 40 40</p>
  </div>
  <div>
     <b>''')
        if False:
            _("Office")
        _v = VFFSL(SL,"_",False)("Office") # u'$_("Office")' on line 32, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Office")')) # from line 32, col 9.
        write(u'''</b>
     <p>22 avenue Galil&eacute;e</p>
     <p>92350 Le Plessis-Robinson</p>
     <p>France</p>
  </div>
  <div>
     <b>''')
        if False:
            _("Website")
        _v = VFFSL(SL,"_",False)("Website") # u'$_("Website")' on line 38, col 9
        if _v is not None: write(_filter(_v, rawExpr=u'$_("Website")')) # from line 38, col 9.
        write(u'''</b>
     <p><a href="http://www.prelude-ids.com">http://www.prelude-ids.com</a></p>
  </div>

</div>

<div id="copyright">Copyright &copy; 2004-2012 CS Communication & Syst&egrave;mes. All rights reserved.</div>

</div>

''')
        _filter = self._CHEETAH__currentFilter = _orig_filter_27764369
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        

    def writeBody(self, **KWS):



        ## CHEETAH: main method generated for this template
        trans = KWS.get("trans")
        if (not trans and not self._CHEETAH__isBuffering and not callable(self.transaction)):
            trans = self.transaction # is None unless self.awake() was called
        if not trans:
            trans = DummyTransaction()
            _dummyTrans = True
        else: _dummyTrans = False
        write = trans.response().write
        SL = self._CHEETAH__searchList
        _filter = self._CHEETAH__currentFilter
        
        ########################################
        ## START - generated method body
        
        write(u'''
''')
        self.main_content(trans=trans)
        
        ########################################
        ## END - generated method body
        
        return _dummyTrans and trans.response().getvalue() or ""
        
    ##################################################
    ## CHEETAH GENERATED ATTRIBUTES


    _CHEETAH__instanceInitialized = False

    _CHEETAH_version = __CHEETAH_version__

    _CHEETAH_versionTuple = __CHEETAH_versionTuple__

    _CHEETAH_genTime = __CHEETAH_genTime__

    _CHEETAH_genTimestamp = __CHEETAH_genTimestamp__

    _CHEETAH_src = __CHEETAH_src__

    _CHEETAH_srcLastModified = __CHEETAH_srcLastModified__

    _mainCheetahMethod_for_About= 'writeBody'

## END CLASS DEFINITION

if not hasattr(About, '_initCheetahAttributes'):
    templateAPIClass = getattr(About, '_CHEETAH_templateClass', Template)
    templateAPIClass._addCheetahPlumbingCodeToClass(About)


# CHEETAH was developed by Tavis Rudd and Mike Orr
# with code, advice and input from many other volunteers.
# For more information visit http://www.CheetahTemplate.org/

##################################################
## if run from command line:
if __name__ == '__main__':
    from Cheetah.TemplateCmdLineIface import CmdLineIface
    CmdLineIface(templateObj=About()).run()


